Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::DefaultThresholdsChangedEvent Struct Reference

Event: Sensor default thresholds have changed. More...

`import <NumericSensor.idl;`

Inheritance diagram for sensors::NumericSensor::DefaultThresholdsChangedEvent:

## Public Attributes
Thresholds | oldDefaultThresholds
| Default thresholds set before change.
Thresholds | newDefaultThresholds
| Default thresholds set after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Sensor default thresholds have changed.

Definition at line 179 of file NumericSensor.idl.

## Member Data Documentation

## ◆ newDefaultThresholds

Thresholds sensors::NumericSensor::DefaultThresholdsChangedEvent::newDefaultThresholds

Default thresholds set after change.

Definition at line 181 of file NumericSensor.idl.

## ◆ oldDefaultThresholds

Thresholds sensors::NumericSensor::DefaultThresholdsChangedEvent::oldDefaultThresholds

Default thresholds set before change.

Definition at line 180 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl